Page MenuHomePhabricator

Migrate MAZI to the new validator framework
Closed, ResolvedPublic

Description

Migrate the existing checker / suggester code to instead use the new validator framework. We need to add,

  1. Replace the current rubyVariableCheck with InsertableRubyVariable - insertable but not enforced

We'll need to update the YAML configuration file located here - https://phabricator.wikimedia.org/diffusion/GTWN/browse/master/groups/

Documentation: https://www.mediawiki.org/wiki/Help:Extension:Translate/Validators
Example patch: https://gerrit.wikimedia.org/r/c/translatewiki/+/549930

Event Timeline

abi_ created this task.Nov 11 2019, 8:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 11 2019, 8:11 AM

Change 569537 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Replace checkers in MAZI with validators

https://gerrit.wikimedia.org/r/569537

abi_ claimed this task.Feb 3 2020, 12:22 PM
abi_ triaged this task as Medium priority.

Change 569537 merged by jenkins-bot:
[translatewiki@master] Replace checkers in MAZI with validators

https://gerrit.wikimedia.org/r/569537

Change 571257 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Make Ruby validator insertable

https://gerrit.wikimedia.org/r/571257

Change 571257 merged by jenkins-bot:
[translatewiki@master] Make Ruby validator insertable for MAZI

https://gerrit.wikimedia.org/r/571257

abi_ closed this task as Resolved.Feb 10 2020, 11:54 AM
abi_ moved this task from In Review to Done on the Language-Team (Language-2020-January-March) board.

Related patches have been deployed on twn, and tested.